Package org.kie.api.pmml

# Class DoubleFieldOutput

java.lang.Object
org.kie.api.pmml.AbstractOutput<Double>
org.kie.api.pmml.DoubleFieldOutput

All Implemented Interfaces:
  `PMML4Output<Double>`

public class DoubleFieldOutput extends AbstractOutput<Double>

- ## Field Summary

  ### Fields inherited from class org.kie.api.pmml.AbstractOutput

  `weight`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleFieldOutput()`
  `DoubleFieldOutput(String correlationId, String name, Double value)`
  `DoubleFieldOutput(String correlationId, String name, String displayValue, Double weight, Double value)`
  `DoubleFieldOutput(String correlationId, String segmentationId, String segmentId, String name, Double value)`
  `DoubleFieldOutput(String correlationId, String segmentationId, String segmentId, String name, String displayValue, Double weight, Double value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Double`
  `getValue()`
  `int`
  `hashCode()`
  `void`
  `setValue(Double value)`
  `String`
  `toString()`

  ### Methods inherited from class org.kie.api.pmml.AbstractOutput

  `getCorrelationId, getDisplayValue, getName, getSegmentationId, getSegmentId, getWeight, setCorrelationId, setDisplayValue, setName, setSegmentationId, setSegmentId, setWeight`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DoubleFieldOutput

    public DoubleFieldOutput()

  - ### DoubleFieldOutput

    public DoubleFieldOutput(String correlationId, String name, String displayValue, Double weight, Double value)

  - ### DoubleFieldOutput

    public DoubleFieldOutput(String correlationId, String segmentationId, String segmentId, String name, String displayValue, Double weight, Double value)

  - ### DoubleFieldOutput

    public DoubleFieldOutput(String correlationId, String segmentationId, String segmentId, String name, Double value)

  - ### DoubleFieldOutput

    public DoubleFieldOutput(String correlationId, String name, Double value)

- ## Method Details

  - ### getValue

    public Double getValue()

  - ### setValue

    public void setValue(Double value)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `AbstractOutput<Double>`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `AbstractOutput<Double>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractOutput<Double>`